summaryrefslogtreecommitdiff
path: root/graphics/screencloud/screencloud.SlackBuild
diff options
context:
space:
mode:
authorDaniel Romero <infoslack@gmail.com>2013-02-17 22:54:43 -0600
committerRobby Workman <rworkman@slackbuilds.org>2013-02-22 22:27:45 -0600
commit36e7878638389eaaa563e8feefa38ac6786ecc08 (patch)
tree38eb678a378c37f8c716c15f62a1b67289d87abb /graphics/screencloud/screencloud.SlackBuild
parentb42641a33a030c04504a79d64a4e4cd9bcb19b3e (diff)
downloadslackbuilds-36e7878638389eaaa563e8feefa38ac6786ecc08.tar.gz
graphics/screencloud: Added (Easy to use screenshot tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics/screencloud/screencloud.SlackBuild')
-rw-r--r--graphics/screencloud/screencloud.SlackBuild68
1 files changed, 68 insertions, 0 deletions
diff --git a/graphics/screencloud/screencloud.SlackBuild b/graphics/screencloud/screencloud.SlackBuild
new file mode 100644
index 0000000000..8847f61e31
--- /dev/null
+++ b/graphics/screencloud/screencloud.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for ScreenCloud
+
+# Copyright 2013 Daniel Romero, Fortaleza, CE, BRA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=screencloud
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case "$( uname -m )" in
+ i?86) DEBARCH=i386 ; ARCH=i386 ;;
+ x86_64) DEBARCH=amd64 ; ARCH=x86_64 ;;
+ arm*) ARCH=arm ;;
+ *) echo "$( uname -m ) not supported!" ; exit 1 ;;
+esac
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/screencloud_${VERSION}_${DEBARCH}.deb data.tar.gz | tar xvz
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+chmod 0755 $PKG
+#rm -rf etc/
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/share/icons
+mkdir -p $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/bin
+ln -s /opt/screencloud/screencloud.sh $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}